--- !ruby/object:RI::ClassDescription 
attributes: []

class_methods: 
- !ruby/object:RI::MethodSummary 
  name: new
comment: 
- !ruby/struct:SM::Flow::P 
  body: Dummy Socket for emulating loopback test.
constants: []

full_name: HTTPClient::LoopBackSocket
includes: 
- !ruby/object:RI::IncludedModule 
  name: SocketWrap
instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: "<<"
name: LoopBackSocket
superclass: Object
